pct_encoded_symbols.hpp File Reference

Stuff related to percent-encoded symbols. More...

`#include <restinio/helpers/http_field_parsers/basics.hpp>`

Go to the source code of this file.

## Classes

struct | restinio::http_field_parsers::details::pct_encoded_symbols_consumer_t
| A special consumer that inserts an extracted sequence of symbols into the result string. More...

## Namespaces

namespace | restinio
namespace | restinio::http_field_parsers
namespace | restinio::http_field_parsers::details

## Typedefs

using | restinio::http_field_parsers::details::pct_encoded_result_type_t = std::array< char, 3 >
| A type for representing extraction of percent-encoded char from the input stream. More...

## Functions

RESTINIO_NODISCARD auto | restinio::http_field_parsers::details::pct_encoded_symbols_p ()
| A producer that extract a sequence of symbols represented a percent-encoded character. More...

## Detailed Description

Stuff related to percent-encoded symbols.

Since
  v.0.6.9

Definition in file pct_encoded_symbols.hpp.